import React from "react";
import { View, ScrollView } from "@tarojs/components";
import "./index.scss";
import useUser from "../store/user";

const IsLogin = ({ children }) => {
  const { user } = useUser();
  console.log(user, "user");

  return user 
  ? user.personId
    ? children
    :<View style={{textAlign:'center'}}>您没有登录权限</View>
  : <View style={{textAlign:'center'}}>登录中...</View>
  ;
};

export default IsLogin;
